DaitchMokotoffSoundex.Rule (Encode/Decode Utilities (Version 1.10))
Date: 2018-10-22

org.apache.commons.codec.language

## Class DaitchMokotoffSoundex.Rule

- java.lang.Object
- - org.apache.commons.codec.language.DaitchMokotoffSoundex.Rule

- Enclosing class:
    DaitchMokotoffSoundex

      private static final class DaitchMokotoffSoundex.Rule
      extends java.lang.Object

  Inner class for storing rules.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `pattern`
    `private java.lang.String[]` | `replacementAtStart`
    `private java.lang.String[]` | `replacementBeforeVowel`
    `private java.lang.String[]` | `replacementDefault`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Rule(java.lang.String pattern, java.lang.String replacementAtStart, java.lang.String replacementBeforeVowel, java.lang.String replacementDefault)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPatternLength()`
    `java.lang.String[]` | `getReplacements(java.lang.String context, boolean atStart)`
    `private boolean` | `isVowel(char ch)`
    `boolean` | `matches(java.lang.String context)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          private final java.lang.String pattern

    - #### replacementAtStart

          private final java.lang.String[] replacementAtStart

    - #### replacementBeforeVowel

          private final java.lang.String[] replacementBeforeVowel

    - #### replacementDefault

          private final java.lang.String[] replacementDefault

  - ### Constructor Detail

    - #### Rule

          protected Rule(java.lang.String pattern,
                         java.lang.String replacementAtStart,
                         java.lang.String replacementBeforeVowel,
                         java.lang.String replacementDefault)

  - ### Method Detail

    - #### getPatternLength

          public int getPatternLength()

    - #### getReplacements

          public java.lang.String[] getReplacements(java.lang.String context,
                                                    boolean atStart)

    - #### isVowel

          private boolean isVowel(char ch)

    - #### matches

          public boolean matches(java.lang.String context)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation